Package com.sas.metadata.remote

# Class MdEvent

java.lang.Object
java.util.EventObject
javax.swing.event.ChangeEvent
com.sas.metadata.remote.MdEvent

All Implemented Interfaces:
  `Serializable`

public class MdEvent extends ChangeEvent
MdEvent is used to notify interested parties that state has changed in the event source. (see ChangeEvent)

Note: this class should not be used directly by a client. As of version 9.2, all client event notifications should use the `MdFactoryEvent` class instead. Most methods using this class have been deprecated.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MdStore`
  `sourceStore`

  ### Fields inherited from class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MdEvent(Object source)`
  Constructs a MdEvent object.
  `MdEvent(Object source, MdStore inStore)`
  Constructs a MdEvent object and sets its source store.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MdStore`
  `getSourceStore()`
  Gets the store used for event processing.
  `void`
  `setSourceStore(MdStore instore)`
  Sets the store used for event processing.

  ### Methods inherited from class java.util.EventObject

  `getSource, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sourceStore

    protected MdStore sourceStore

- ## Constructor Details

  - ### MdEvent

    public MdEvent(Object source)
    Constructs a MdEvent object.
    Parameters:
      `source` - the Object that is the source of the event (typically `this`)

  - ### MdEvent

    public MdEvent(Object source, MdStore inStore)
    Constructs a MdEvent object and sets its source store.
    Parameters:
      `source` -
      `inStore` -

- ## Method Details

  - ### setSourceStore

    public void setSourceStore(MdStore instore)
    Sets the store used for event processing.
    Parameters:
      `instore` -

  - ### getSourceStore

    public MdStore getSourceStore()
    Gets the store used for event processing.
    Returns:
      MdStore